Antom, leading provider of tailored payment solutions

inquiryStatement

POST /v1/aba/accounts/inquiryStatement

Use this interface to obtain transaction statements.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

startTime Datetime  

The start time of the statement query.

Note: When the fuzzyName field is empty, the billing period calculated by startTime and endTime must not exceed 3 months (100 days).

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

endTime Datetime  

The end time of the statement query.

Note: When the fuzzyName field is empty, the billing period calculated by startTime and endTime must not exceed 3 months (100 days).

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

transactionTypeList Array<String>  

The type of transaction that this API requests. Supported transaction types are as follows:

  • ​CHARGE​: Charge occurred in ABA
  • ​CHARGE_REFUND​: Charge refund occurred in ABA
  • CREDIT_LOAN: User loan funds in ABA
  • CREDIT_REPAYMENT: User repay for loans in ABA
  • ​CREDIT_REPAY​: User repay for loans in ABA
  • ​DIRECT_PAYMENT​: Direct payment occurred in ABA
  • ​DIRECT_PAYMENT_RECIPIENT​: Direct payment recipient in ABA
  • ​DIRECT_REFUND​: Direct refund occurred in ABA
  • ​DIRECT_REFUND_DEDUCTION​: Direct refund deduction in ABA
  • EXCHANGE: Exchange funds for ABA
  • PAYMENT: Payment occured in ABA
  • PAYMENT_REFUND: Refund occured in ABA
  • SETTLEMENT: Settlement occured in ABA
  • TOPUP: Funds occured in ABA
  • TRANSFER: Transfer occured in ABA (including transfer to third parties payout)
  • TRANSFER_RECIPIENT: Receive a transfer in ABA
  • TRANSFER_RETURN: Transfer refunded in ABA
  • WITHDRAW: Withdrawal occured in ABA
  • WITHDRAW_RETURN: Withdrawal refunded in ABA
  • ​CARD_PAYMENT​: Card payment in ABA
  • ​CARD_REFUND​: Card refund in ABA

​Note​:

  • If no value is provided, the API will return all transactions.
  • Antom currently supports only a single type at a time.

currencyList Array<String>  

A list containing 3-character currency codes representing the currency that the merchant queries, which follows  ISO 4217 standard.

Currently, the following currencies are supported:

  • SGD
  • AUD
  • CAD
  • EUR
  • GBP
  • HKD
  • JPY
  • NZD
  • USD
  • CNY

Note: If no value is provided, the API will return all transactions.

pageSize Integer  REQUIRED

The number of items on each page.

More information:

  • Value range: [0, 50]

pageNumber Integer  REQUIRED

the current page index that contains statement information. Format: 1,2,3,...

fuzzyName String  

The value used to filter beneficaries using fuzzy matching.

assetId String  

The unique identifier of a card.

Note: Specify this parameter when merchants want to query the results by asset ID.

More information:

  • Maximum length: 32 characters

Response parameters

result object  REQUIRED

Indicates whether this API is called successfully.
Show child parameters

statementList Array<Statement>  

List of statements.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

totalCount Integer  

The total number of items in the query.

Note: This field is returned on demand only when the value of result.resultStatus is S.

totalPageNumber Integer  

Number of the pages in total.

Note: This field is returned on demand only when the value of result.resultStatus is S.

currentPageNumber Integer  

The current page index number.

Note: This field is returned on demand only when the value of result.resultStatus is S.

API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

API is successfully called, not resembling order status

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

OAUTH_FAILFOAuth process failed.

Contact Antom Technical Support for detailed reasons.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

SYSTEM_ERRORFSystem error.

Do not retry, and contact Antom Technical Support for more details.

SERVICE_NOT_ALLOWEDFService not allowed

Retry with the correct information. If the issue persists, contact Antom Technical Support.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

CONTRACT_CHECK_FAILFThe contract check has failed.

Check the contract status before retrying.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact Antom Technical Support to verify the authorization status.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact Antom Technical Support to address it.